package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 发送方式
 */
public enum SendModeEnum implements IBaseEnum {

    ON_SITE(1,"站内发送", SysConstains.STYLE_DEFAULT),
    ON_SMS(2,"短信发送", SysConstains.STYLE_DEFAULT),
    ALL(3,"同时发送", SysConstains.STYLE_DEFAULT),
    ;
    private int value;
    private String desc;
    private String style;

    SendModeEnum(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

    @Override
    public String getStyle() {
        return this.style;
    }

    public static SendModeEnum getByValue(int value) {
        for (SendModeEnum e : SendModeEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (SendModeEnum item : SendModeEnum.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
